-- Tooltip Item-ID
-- Author: codger-AeriePeak
-- Based on Item Level by powerhandlar@entw.eu
-- Displays the item ID in the item tooltip
-- License: Public Domain

--- Add_Simple_Item_ID to the tooltip
local function Add_Item_Id(tooltip)
    local _, itemLink = tooltip:GetItem()
	if (itemLink ~= nil) then
	    local itemId, _, _, _, _, _, _ = GetItemInfoInstant(itemLink)
		if itemId then tooltip:AddLine("Item ID "..itemId) end
	end
end

TooltipDataProcessor.AddTooltipPostCall(Enum.TooltipDataType.Item, Add_Item_Id)
